Subject: Re: making cygwin self-extracting archive
From: [email-masked] (Jim Balter)

21 Jan 1997 00:28:52 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ed Peschko <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

[David Smith]
> > Actually, if you run the current edition of winzip you'll discover it handles
> > tar and gz if you have those utilities--which cygnus provides for free.

But if you RTFM, it tells you to use the cygwin tar, not winzip,
because the distribution contains symbolic links.

[Ed Peschko] 
> Yes... but you *still* need to do that 'extra step' and get tar and gzip (and
> winzip for that matter.)
> 
> What's wrong with having the *option* of having a self-extracting archive?
> Windows users are used to it, and it is a one-step deal to install (aka shar).
> It can also be made almost as small as a regular, gzipped file.
> 
> I would say that anything that ups the choice level for gnu-win32, should
> only INCREASE the usage of gnu-win32. It sure would make it easier to explain
> to non-Unix types!

Hey, next you'll want InstallShield. :-)
But seriously, you're right.  I've never understood why people put so
much energy into rationalizing not improving things, and that's all
"you can use winzip" amounts to.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".